package com.yeejoin.equipmanage.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.yeejoin.equipmanage.common.entity.Unit;

import java.util.List;
import java.util.Map;

/**
 * 计量单位 服务类
 *
 * @author wujiang
 * @date 2020-07-07
 */
public interface IUnitService extends IService<Unit> {
	
	List<Map<String,Object>> getUnitClassification();
	
	Unit saveUnit(Unit unit);
	
	List<Unit> getUnitList(Unit unit);

	List<Unit> getUnitListsById(List<String> ids);
	
}
